Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159070 - Cannot share mounted filesystem
Summary: Cannot share mounted filesystem
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: David Lawrence
URL: https://bugzilla.samba.org/show_bug.c...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-28 15:27 UTC by Hal Black
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 15:54:58 UTC


Attachments (Terms of Use)

Description Hal Black 2005-05-28 15:27:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
When attempting to share a directory containing a mounted filesystem, the filesystem does not appear to the client.  The permissions of the mount point are the same as a normal, non-mounted subdirectory that appears with no problem.

Version-Release number of selected component (if applicable):
samba-3.0.14a-2

How reproducible:
Always

Steps to Reproduce:
1. Set up a samba share for a directory
2. Mount a filesystem in a subdirectory of the shared directory

  

Actual Results:  The subdirectory mount point with the mounted filesystem doesn't show up in a directory listing

Expected Results:  The mounted filesystem should appear and be accessible in the mount

Additional info:

I have also submitted this to samba here, but I thought Red Hat should be aware:
https://bugzilla.samba.org/show_bug.cgi?id=2747

Using: samba-3.0.14a-2 on Fedora Core 4 Test 3 (latest)

I have mounted an ext3 filesystem and can't seem to share it.

I have:

/arch/a - mounting filesystem
/arch/b - just a directory

I can see /arch/b, but not /arch/a

[root@western arch]# df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hdi3             93573776   9589544  79154292  11% /
/dev/hdi1               194442     19891    164512  11% /boot
/dev/shm                257652         0    257652   0% /dev/shm
/dev/hde2             75133696  23450592  51683104  32% /old/2
/dev/hdb1            241263968 164569552  64438832  72% /arch/a

[root@western arch]# testparm -s
Load smb config files from /etc/samba/smb.conf
Processing section "[homes]"
Processing section "[printers]"
Processing section "[arch]"
Processing section "[data]"
Loaded services file OK.
# Global parameters
[global]
        workgroup = WJEN
        server string = Samba Server
        username map = /etc/samba/smbusers
        log file = /var/log/samba/%m.log
        max log size = 50
        name resolve order = wins lmhosts bcast
        socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
        printcap name = /etc/printcap
        preferred master = Yes
        domain master = Yes
        dns proxy = No
        idmap uid = 16777216-33554431
        idmap gid = 16777216-33554431
        cups options = raw

[homes]
        comment = Home Directories
        read only = No
        browseable = No

[printers]
        comment = All Printers
        path = /var/spool/samba
        guest ok = Yes
        printable = Yes
        browseable = No

[arch]
        comment = Software Archive
        path = /arch

[root@western arch]# ls -la
total 32
drwsrwsr-t   4 root root 4096 May 28 04:21 .
drwxr-xr-x  29 root root 4096 May 28 03:17 ..
drwsrwsrwt  34 root disk 4096 May 28 03:48 a
drwsrwsrwt   2 root disk 4096 May 28 04:21 b
-rw-r--r--   1 root root    0 May 28 03:46 x


[root@western arch]# stat a
  File: `a'
  Size: 4096            Blocks: 8          IO Block: 4096   directory
Device: 341h/833d       Inode: 2           Links: 34
Access: (7777/drwsrwsrwt)  Uid: (    0/    root)   Gid: (    6/    disk)
Access: 2005-05-28 04:11:43.000000000 -0400
Modify: 2005-05-28 03:48:04.000000000 -0400
Change: 2005-05-28 04:20:55.000000000 -0400
[root@western arch]# stat b
  File: `b'
  Size: 4096            Blocks: 16         IO Block: 4096   directory
Device: 3803h/14339d    Inode: 22020100    Links: 2
Access: (7777/drwsrwsrwt)  Uid: (    0/    root)   Gid: (    6/    disk)
Access: 2005-05-28 04:22:48.000000000 -0400
Modify: 2005-05-28 04:21:47.000000000 -0400
Change: 2005-05-28 04:22:43.000000000 -0400

[root@western arch]# smbclient -U a //western/arch
Password:
Domain=[WESTERN] OS=[Unix] Server=[Samba 3.0.14a-2]
smb: \> ls
  x                                            0  Sat May 28 03:46:47 2005
  b                                   D        0  Sat May 28 04:21:47 2005
  .                                   D        0  Sat May 28 04:21:47 2005
  ..                                  D        0  Sat May 28 03:17:01 2005

                45690 blocks of size 2097152. 38649 blocks available
smb: \>

Comment 1 Hal Black 2005-06-16 04:00:27 UTC
Seems like this has something to do with the SELinux setup. I changed SELinux
from blocking to logging security, and now I can see the directories.

Comment 2 Christian Iseli 2007-01-22 10:58:02 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Simo Sorce 2007-03-14 15:54:58 UTC
SELinux conf problem


Note You need to log in before you can comment on or make changes to this bug.